# Download

1. Clone repository with `git clone https://gitea.pkm.physik.tu-darmstadt.de/NMRRWSims/cpp.git` 
2. After download, change permissions of build.sh in terminal with `chmod a+x build.sh`

# Setup the simulation

The workflows leaves yet much to be desired, it will become better (maybe)

## Changes in `test.py`

1. To run spectra, add `-spectrum` in line 14
2. To run STE, add `-ste` in line 14
3. Change values for tau, line broadening and pulse length in lines 88-90 (to simulate one tau value, set length of array to 1)
4. Comment / Uncomment `post_process_ste` or `post_process_spectrum`.

## Change of models

1. In `main.cpp`, uncomment the motional model and distribution of correlation times you want to use, comment every other model

## Setting more parameters in `config.txt`

1. Change the values of delta, eta, mixing times, echo times,... in this file. If a paramter is defined multiple times, only the last one is used.  

# Running

**Because filenames are always the same, previous simulations and results are overwritten!**

1. Execute `build.sh` (in terminal with `./build.sh`). It compiles the source code and executes test.py
